Loading...
Searching...
No Matches
PolySimple Class Reference

`#include <tgb_internal.h>`

## Public Member Functions

| PolySimple (poly p)
| PolySimple ()
| PolySimple (const PolySimple &a)
PolySimple & | operator= (const PolySimple &p2)
| ~PolySimple ()
bool | operator< (const PolySimple &other) const
bool | operator== (const PolySimple &other)

## Data Fields

poly | impl

## Detailed Description

Definition at line 70 of file tgb_internal.h.

## Constructor & Destructor Documentation

## PolySimple() [1/3]

PolySimple::PolySimple | ( | poly | p | ) |

inline

Definition at line 73 of file tgb_internal.h.

{
impl=p;
}
p
int p
Definition cfModGcd.cc:4086
PolySimple::impl
poly impl
Definition tgb_internal.h:105

## PolySimple() [2/3]

PolySimple::PolySimple | ( |  | ) |

inline

Definition at line 77 of file tgb_internal.h.

{
impl=NULL;
}
NULL
#define NULL
Definition omList.c:12

## PolySimple() [3/3]

PolySimple::PolySimple | ( | const PolySimple & | a | ) |

inline

Definition at line 81 of file tgb_internal.h.

{
//impl=p_Copy(a.impl,currRing);
impl=a.impl;
}

## ~PolySimple()

PolySimple::~PolySimple | ( |  | ) |

inline

Definition at line 93 of file tgb_internal.h.

{
//p_Delete(&impl,currRing);
}

## Member Function Documentation

## operator<()

bool PolySimple::operator< | ( | const PolySimple & | other | ) | const

inline

Definition at line 97 of file tgb_internal.h.

{
return pLmCmp(impl,other.impl)<0;
}
pLmCmp
#define pLmCmp(p, q)
returns 0|1|-1 if p=q|p>q|p<q w.r.t monomial ordering
Definition polys.h:106

## operator=()

PolySimple & PolySimple::operator= | ( | const PolySimple & | p2 | ) |

inline

Definition at line 86 of file tgb_internal.h.

{
//p_Delete(&impl,currRing);
//impl=p_Copy(p2.impl,currRing);
impl=p2.impl;
return *this;
}

## operator==()

bool PolySimple::operator== | ( | const PolySimple & | other | ) |

inline

Definition at line 101 of file tgb_internal.h.

{
return pLmEqual(impl,other.impl);
}
pLmEqual
#define pLmEqual(p1, p2)
Definition polys.h:112

## Field Documentation

## impl

poly PolySimple::impl

Definition at line 105 of file tgb_internal.h.

The documentation for this class was generated from the following file:

- kernel/GBEngine/tgb_internal.h